curl 'https://graph.facebook.com/<API_VERSION>/<BUSINESS_ID>/extendedcredits' \ -H 'Authorization: Bearer <ACCESS_TOKEN>'
curl 'https://graph.facebook.com/v24.0/102289599326934/extendedcredits' \ -H 'Authorization: Bearer EAAJi...'
{ "data": [ { "id": "1972385232742146" } ] }
curl -X POST 'https://graph.facebook.com/<API_VERSION>/<EXTENDED_CREDIT_LINE_ID>/whatsapp_credit_sharing_and_attach?waba_currency=<CUSTOMER_BUSINESS_CURRENCY>&waba_id=<CUSTOMER_WABA_ID>' \ -H 'Authorization: Bearer <SYSTEM_TOKEN>'
| Placeholder | Description | Example value |
|---|---|---|
<CUSTOMER_BUSINESS_CURRENCY> | Required. The business’s currency, as a three-letter currency code. Support values are:
This currency is used for invoicing and corresponds to pricing rates. | USD |
<CUSTOMER_WABA_ID> | Required. The customer’s WABA ID. | 102290129340398 |
<EXTENDED_CREDIT_LINE_ID> | Required. Your extended credit line ID. | 1972385232742146 |
<SYSTEM_TOKEN> | Required. Your system token. | EAAAN6tcBzAUBOZC82CW7iR2LiaZBwUHS4Y7FDtQxRUPy1PHZClDGZBZCgWdrTisgMjpFKiZAi1FBBQNO2IqZBAzdZAA16lmUs0XgRcCf6z1LLxQCgLXDEpg80d41UZBt1FKJZCqJFcTYXJvSMeHLvOdZwFyZBrV9ZPHZASSqxDZBUZASyFdzjiy2A1sippEsF4DVV5W2IlkOSr2LrMLuYoNMYBy8xQczzOKDOMccqHEZD |
{ "allocation_config_id": "58501441721238", "waba_id": "102290129340398" }
| Placeholder | Description | Example value |
|---|---|---|
<ALLOCATION_CONFIGURATION_ID> | The extended credit line’s allocation configuration ID. Save this ID if you want to verify that your credit line has been shared with the customer. | 58501441721238 |
<CUSTOMER_WABA_ID> | The customer’s WABA ID. | 102290129340398 |
owner_business_info field to get the business customer’s business portfolio ID.curl --get 'https://graph.facebook.com/v21.0/<WABA_ID>?fields=owner_business_info' \ -H 'Authorization: Bearer <BUSINESS_TOKEN>'
| Placeholder | Description | Example value |
|---|---|---|
<BUSINESS_TOKEN> | Required. The customer’s business token. | EAAAN6tcBzAUBOwtDtTfmZCJ9n3FHpSDcDTH86ekf89XnnMZAtaitMUysPDE7LES3CXkA4MmbKCghdQeU1boHr0QZA05SShiILcoUy7ZAb2GE7hrUEpYHKLDuP2sYZCURkZCHGEvEGjScGLHzC4KDm8tq2slt4BsOQE1HHX8DzHahdT51MRDqBw0YaeZByrVFZkVAoVTxXUtuKgDDdrmJQXMnI4jqJYetsZCP1efj5ygGscZBm4OvvuCYB039ZAFlyNn |
<WABA_ID> | Required. The customer’s WABA ID. | 102290129340398 |
{ "owner_business_info": { "name": "<BUSINESS_PORTFOLIO_NAME>", "id": "<BUSINESS_PORTFOLIO_ID>" }, "id": "<WABA_ID>" }
| Placeholder | Description | Example value |
|---|---|---|
<BUSINESS_PORTFOLIO_ID> | The customer’s business portfolio ID. | 2729063490586005 |
<BUSINESS_PORTFOLIO_NAME> | The customer’s business portfolio name. | Wind & Wool |
<WABA_ID> | The customer’s WABA ID. | 102290129340398 |
curl -X POST 'https://graph.facebook.com/<API_VERSION>/<EXTENDED_CREDIT_LINE_ID>/whatsapp_credit_sharing?receiving_business_id=<BUSINESS_PORTFOLIO_ID>' \ -H 'Authorization: Bearer <SYSTEM_TOKEN>'
| Placeholder | Description | Example value |
|---|---|---|
<EXTENDED_CREDIT_LINE_ID> | Required. Your extended credit line ID. | 5985499441566032 |
<BUSINESS_PORTFOLIO_ID> | Required. The customer’s business portfolio ID. | 2729063490586005 |
<SYSTEM_TOKEN> | Required. You system user access token. | EAAAN6tcBzAUBOZC82CW7iR2LiaZBwUHS4Y7FDtQxRUPy1PHZClDGZBZCgWdrTisgMjpFKiZAi1FBBQNO2IqZBAzdZAA16lmUs0XgRcCf6z1LLxQCgLXDEpg80d41UZBt1FKJZCqJFcTYXJvSMeHLvOdZwFyZBrV9ZPHZASSqxDZBUZASyFdzjiy2A1sippEsF4DVV5W2IlkOSr2LrMLuYoNMYBy8xQczzOKDOMccqHEZD |
{ "success": true, "allocation_config_id": "58501441721238" }
| Placeholder | Description | Example value |
|---|---|---|
<ALLOCATION_CONFIG_ID> | The extended credit line’s allocation configuration ID. | 58501441721238 |
curl -X POST 'https://graph.facebook.com/v21.0/<EXTENDED_CREDIT_LINE_ID>/whatsapp_credit_attach?waba_currency=<WABA_CURRENCY>&waba_id=<WABA_ID>' \ -H 'Authorization: Bearer <BUSINESS_TOKEN>'
| Placeholder | Description | Example value |
|---|---|---|
<BUSINESS_TOKEN> | Required. The customer’s business token. | EAAAN6tcBzAUBOwtDtTfmZCJ9n3FHpSDcDTH86ekf89XnnMZAtaitMUysPDE7LES3CXkA4MmbKCghdQeU1boHr0QZA05SShiILcoUy7ZAb2GE7hrUEpYHKLDuP2sYZCURkZCHGEvEGjScGLHzC4KDm8tq2slt4BsOQE1HHX8DzHahdT51MRDqBw0YaeZByrVFZkVAoVTxXUtuKgDDdrmJQXMnI4jqJYetsZCP1efj5ygGscZBm4OvvuCYB039ZAFlyNn |
<EXTENDED_CREDIT_LINE_ID> | Required. Your extended credit line ID. | 5985499441566032 |
<WABA_ID> | Required. The customer’s WABA ID. | 102290129340398 |
<WABA_CURRENCY> | Required. The customer’s business currency. | USD |
{ "success": true, "waba_id": "<WABA_ID>", "allocation_config_id": "<ALLOCATION_CONFIG_ID>" }
| Placeholder | Description | Example value |
|---|---|---|
<ALLOCATION_CONFIG_ID> | The extended credit line’s allocation configuration ID. Save this ID if you want to verify that your credit line has been shared with the customer. | 58501441721238 |
<WABA_ID> | The customer’s WABA ID. | 102290129340398 |
receiving_credential field on your extended credit allocation ID (returned when you shared your credit line with the business customer).curl 'https://graph.facebook.com/<API_VERSION>/<EXTENDED_CREDIT_ALLOCATION_ID>?fields=receiving_credential' \ -H 'Authorization: Bearer <SYSTEM_TOKEN>'
{ "receiving_credential": { "id": "<RECEIVING_CREDENTIAL_ID>" }, "id": "<ALLOCATION_CONFIGURATION_ID>" }
primary_funding_id on the customer’s WABA ID.curl 'https://graph.facebook.com/v21.0/<CUSTOMER_WABA_ID>/?fields=primary_funding_id' \ -H 'Authorization: Bearer <CUSTOMER_BUSINESS_TOKEN>'
{ "primary_funding_id": "<PRIMARY_FUNDING_ID>", "id": "<CUSTOMER_WABA_ID>" }
curl -i -X GET "https://graph.facebook.com/v25.0/105954558954427/
extendedcredits?fields=id,legal_entity_name&
access_token=EAAFl..."
{ "data": [ { "id": "1972385232742146", //Credit line ID "legal_entity_name": "Your Legal Entity", } ] }
curl -i -X GET "https://graph.facebook.com/v25.0/
<WHATSAPP_BUSINESS_ACCOUNT_ID>?fields=owner_business_info&
access_token=<ACCESS_TOKEN>"
{ "owner_business_info": { "name": "Client Business Name", "id": "1972385232742147" }, }
curl -i -X GET "https://graph.facebook.com/<API_VERSION>/<EXTENDED_CREDIT_ID>/ owning_credit_allocation_configs? receiving_business_id=<CLIENT_BUSINESS_ID>& fields=id,receiving_business& access_token=<SYSTEM_USER_ACCESS_TOKEN>"
{ "id": "1972385232742140", // Allocation config (i.e., credit sharing) id "receiving_business": { "name": "Client Business Name" "id": "1972385232742147" }, }
curl -i -X DELETE "https://graph.facebook.com/v25.0/
{allocation-config-id}?
access_token={system-user-access-token}"
{ "success": true }
curl -i -X GET "https://graph.facebook.com/v25.0/
{allocation-config-id}?fields=receiving_business,request_status&
access_token={system-user-access-token}"
{ "receiving_business": { "name": "Customer Business Name", "id": "1972385232742147" }, "request_status": "DELETED" }